javax.mail.event

## Interface MessageCountListener

- All Superinterfaces:
    EventListener
  All Known Implementing Classes:
    MessageCountAdapter

      public interface MessageCountListener
      extends EventListener

  This is the Listener interface for MessageCount events.
  Author:
    John Mani

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `messagesAdded(MessageCountEvent e)` Invoked when messages are added into a folder.
    `void` | `messagesRemoved(MessageCountEvent e)` Invoked when messages are removed (expunged) from a folder.

- - ### Method Detail

    - #### messagesAdded

          void messagesAdded(MessageCountEvent e)

      Invoked when messages are added into a folder.
      Parameters:
        `e` - the MessageCountEvent

    - #### messagesRemoved

          void messagesRemoved(MessageCountEvent e)

      Invoked when messages are removed (expunged) from a folder.
      Parameters:
        `e` - the MessageCountEvent

Copyright © 2016 Oracle. All rights reserved.